> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Schedule Single Payout



## OpenAPI

````yaml openapi.json post /payout/single/schedule
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/single/schedule:
    parameters: []
    post:
      tags:
        - Payout
        - Single Schedule Payout
      summary: Schedule Single Payout
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                amount:
                  type: integer
                pin:
                  type: string
                bankCode:
                  type: string
                email:
                  type: string
                  format: email
                accountNumber:
                  type: string
                scheduleDate:
                  type: string
                  format: date-time
                narration:
                  type: string
            example:
              amount: 350
              pin: '1234'
              bankCode: '000023'
              email: emma@yahoo.com
              accountNumber: '2394934324'
              scheduleDate: '2024-07-10T12:50:15.851Z'
              narration: Testing schedule transaction
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '338'
            ETag:
              schema:
                type: string
              example: W/"152-m/nJO86a4GwDdjFYtsUaJDbsA4c"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Tue, 02 Jul 2024 07:28:23 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: Schedule Single Payout - Successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      charges:
                        type: integer
                      status:
                        type: string
                      id:
                        type: string
                      amount:
                        type: integer
                      bankCode:
                        type: string
                        format: color
                      narration:
                        type: string
                      scheduleDate:
                        type: string
                        format: date-time
                      accountNumber:
                        type: string
                        format: utc-millisec
                      createdAt:
                        type: string
                        format: date-time
              example:
                status: true
                message: Transaction has been successfully scheduled
                data:
                  charges: 20
                  status: NEW
                  id: 2c694f49-115e-4d3f-9513-3f71eeba563b
                  amount: 300
                  bankCode: '000023'
                  narration: Testing schedule transaction
                  scheduleDate: '2024-07-02T07:30:15.851Z'
                  accountNumber: '2394934324'
                  createdAt: '2024-07-02T07:28:23.510Z'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````